Bug 877324 - Missing Option to add SSH Public Key in Web UI after upgrade
Summary: Missing Option to add SSH Public Key in Web UI after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-11-16 09:28 UTC by Christian Jung
Modified: 2013-02-21 09:29 UTC (History)
7 users (show)

Fixed In Version: ipa-3.0.0-10.el6
Doc Type: Known Issue
Doc Text:
After upgrading to Red Hat Identity Manager 2.2, it is not possible to add SSH public keys in the web UI. However, SSH public keys can be added on the command line by running ipa user-mod <user> --sshpubkey.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:29:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
Add option exists (293.43 KB, image/png)
2013-01-22 18:49 UTC, Xiyang Dong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Christian Jung 2012-11-16 09:28:28 UTC
Description of problem:
After doing an Upgrade to RH IdM 2.2 in RHEL 6.3, we were unable to add SSH public keys on the Web UI.
Adding a SSH public key on the command line "ipa user-mod <user> --sshpubkey" did work.

On the Web UI, there was no "Add" button though.

Version-Release number of selected component (if applicable):
ipa-server-2.2.0-16.el6

How reproducible:
Only if upgrade installation from 6.2

Steps to Reproduce:
1. setup RHEL 6.2 with IdM
2. add users
3. run upgrade to RHEL 6.3
4. login to the Web UI, modify a user and you'll notice that you can't add a ssh public key for a previousy created user.
  
Actual results:
"Add" Option missing

Expected results:
"Add" Option should be there

Additional info:
We noticed that for exiting users, the objectclass ipasshgroupofpubkeys was missing. The command line tool "ipa user-mod --sshpubkey" seems to add the missing objectclass automatically.
If we add objectclass ipasshgroupofpubkeys via ldapmodify to an existing user, the button "Add" is available on the Web UI

Comment 2 Martin Kosek 2012-11-19 07:28:45 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/3260

Comment 3 Petr Vobornik 2012-11-29 08:50:10 UTC
Fixed upstream:

    ipa-3-0 : 592041b0de8fa72f1f95a515e36aa1a6e899e5e6 Editable sshkey, mac address field after upgrade
    master: 0833f594c15d05b6ead7e7ca15aabe34fa09a766 Editable sshkey, mac address field after upgrade 

Same problem was with mac address field, fixed as well.

Comment 6 Xiyang Dong 2013-01-22 18:49:08 UTC
Created attachment 685387 [details]
Add option exists

Steps to Reproduce:
1. setup RHEL 6.3 ipa2.2 with IdM
2. run upgrade to ipa3.0
3. login to the Web UI, edit a user
  
Actual results:
"Add" Option exists in WebUI after upgrading

Comment 7 Xiyang Dong 2013-01-22 21:14:08 UTC
verified in ipa-server-3.0.0-22.el6.x86_64

Comment 10 errata-xmlrpc 2013-02-21 09:29:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.